SchedulerEJBImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.scheduler.server.session.SchedulerEJBImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.scheduler.server.session
Class SchedulerEJBImpl

    java.lang.Object
      org.hyperic.hq.scheduler.server.session.SchedulerEJBImpl

All Implemented Interfaces:
  java.io.Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean, org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean, org.quartz.Scheduler

    public class SchedulerEJBImpl

extends java.lang.Object
implements javax.ejb.SessionBean, org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean

The Scheduler session bean is a proxy to the Quartz scheduler MBean that is used for scheduling jobs to be executed within the application server.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.quartz.Scheduler
`DEFAULT_FAIL_OVER_GROUP, DEFAULT_GROUP, DEFAULT_MANUAL_TRIGGERS, DEFAULT_RECOVERY_GROUP, FAILED_JOB_ORIGINAL_TRIGGER_FIRETIME_IN_MILLISECONDS, FAILED_JOB_ORIGINAL_TRIGGER_GROUP, FAILED_JOB_ORIGINAL_TRIGGER_NAME`

Constructor Summary
`SchedulerEJBImpl()`

Method Summary
`void` | `addCalendar(java.lang.String calName, org.quartz.Calendar calendar, boolean replace, boolean updateTriggers)` Delegates to the Quartz scheduler.
`void` | `addGlobalJobListener(org.quartz.JobListener jobListener)` Delegates to the Quartz scheduler.
`void` | `addGlobalTriggerListener(org.quartz.TriggerListener triggerListener)` Delegates to the Quartz scheduler.
`void` | `addJob(org.quartz.JobDetail jobDetail, boolean replace)` Delegates to the Quartz scheduler.
`void` | `addJobListener(org.quartz.JobListener jobListener)` Delegates to the Quartz scheduler.
`void` | `addSchedulerListener(org.quartz.SchedulerListener schedulerListener)` Delegates to the Quartz scheduler.
`void` | `addTriggerListener(org.quartz.TriggerListener triggerListener)` Delegates to the Quartz scheduler.
`boolean` | `deleteCalendar(java.lang.String calName)` Delegates to the Quartz scheduler.
`boolean` | `deleteJob(java.lang.String jobName, java.lang.String groupName)` Delegates to the Quartz scheduler.
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`org.quartz.Calendar` | `getCalendar(java.lang.String calName)` Delegates to the Quartz scheduler.
`java.lang.String[]` | `getCalendarNames()` Delegates to the Quartz scheduler.
`org.quartz.SchedulerContext` | `getContext()` Delegates to the Quartz scheduler.
`java.util.List` | `getCurrentlyExecutingJobs()` Delegates to the Quartz scheduler.
`org.quartz.JobListener` | `getGlobalJobListener(java.lang.String arg0)`
`java.util.List` | `getGlobalJobListeners()` Delegates to the Quartz scheduler.
`org.quartz.TriggerListener` | `getGlobalTriggerListener(java.lang.String arg0)`
`java.util.List` | `getGlobalTriggerListeners()` Delegates to the Quartz scheduler.
`org.quartz.JobDetail` | `getJobDetail(java.lang.String jobName, java.lang.String jobGroup)` Delegates to the Quartz scheduler.
`java.lang.String[]` | `getJobGroupNames()` Delegates to the Quartz scheduler.
`org.quartz.JobListener` | `getJobListener(java.lang.String name)` Delegates to the Quartz scheduler.
`java.util.Set` | `getJobListenerNames()` Delegates to the Quartz scheduler.
`java.lang.String[]` | `getJobNames(java.lang.String groupName)` Delegates to the Quartz scheduler.
`org.quartz.SchedulerMetaData` | `getMetaData()` Delegates to the Quartz scheduler.
`static org.hyperic.hq.scheduler.shared.SchedulerLocal` | `getOne()`
`java.util.Set` | `getPausedTriggerGroups()` Delegates to the Quartz scheduler.
`java.util.Properties` | `getQuartzProperties()` Delegates to the Scheduler Service MBean.
`java.lang.String` | `getSchedulerInstanceId()` Delegates to the Quartz scheduler.
`java.util.List` | `getSchedulerListeners()` Delegates to the Quartz scheduler.
`java.lang.String` | `getSchedulerName()` Delegates to the Quartz scheduler.
`javax.ejb.SessionContext` | `getSessionContext()`
`org.quartz.Trigger` | `getTrigger(java.lang.String triggerName, java.lang.String triggerGroup)` Delegates to the Quartz scheduler.
`java.lang.String[]` | `getTriggerGroupNames()` Delegates to the Quartz scheduler.
`org.quartz.TriggerListener` | `getTriggerListener(java.lang.String name)` Delegates to the Quartz scheduler.
`java.util.Set` | `getTriggerListenerNames()` Delegates to the Quartz scheduler.
`java.lang.String[]` | `getTriggerNames(java.lang.String groupName)` Delegates to the Quartz scheduler.
`org.quartz.Trigger[]` | `getTriggersOfJob(java.lang.String jobName, java.lang.String groupName)` Delegates to the Quartz scheduler.
`int` | `getTriggerState(java.lang.String triggerName, java.lang.String triggerGroup)` Delegates to the Quartz scheduler.
`boolean` | `interrupt(java.lang.String jobName, java.lang.String groupName)` Delegates to the Quartz scheduler.
`boolean` | `isInStandbyMode()` Delegates to the Quartz scheduler.
`boolean` | `isPaused()` Deprecated.
`boolean` | `isShutdown()` Delegates to the Quartz scheduler.
`boolean` | `isStarted()`
`void` | `pause()` Deprecated.
`void` | `pauseAll()` Delegates to the Quartz scheduler.
`void` | `pauseJob(java.lang.String jobName, java.lang.String groupName)` Delegates to the Quartz scheduler.
`void` | `pauseJobGroup(java.lang.String groupName)` Delegates to the Quartz scheduler.
`void` | `pauseTrigger(java.lang.String triggerName, java.lang.String groupName)` Delegates to the Quartz scheduler.
`void` | `pauseTriggerGroup(java.lang.String groupName)` Delegates to the Quartz scheduler.
`boolean` | `removeGlobalJobListener(org.quartz.JobListener jobListener)` Delegates to the Quartz scheduler.
`boolean` | `removeGlobalJobListener(java.lang.String arg0)`
`boolean` | `removeGlobalTriggerListener(java.lang.String arg0)`
`boolean` | `removeGlobalTriggerListener(org.quartz.TriggerListener triggerListener)` Delegates to the Quartz scheduler.
`boolean` | `removeJobListener(java.lang.String name)` Delegates to the Quartz scheduler.
`boolean` | `removeSchedulerListener(org.quartz.SchedulerListener schedulerListener)` Delegates to the Quartz scheduler.
`boolean` | `removeTriggerListener(java.lang.String name)` Delegates to the Quartz scheduler.
`java.util.Date` | `rescheduleJob(java.lang.String triggerName, java.lang.String groupName, org.quartz.Trigger newTrigger)` Delegates to the Quartz scheduler.
`void` | `resumeAll()` Delegates to the Quartz scheduler.
`void` | `resumeJob(java.lang.String jobName, java.lang.String groupName)` Delegates to the Quartz scheduler.
`void` | `resumeJobGroup(java.lang.String groupName)` Delegates to the Quartz scheduler.
`void` | `resumeTrigger(java.lang.String triggerName, java.lang.String groupName)` Delegates to the Quartz scheduler.
`void` | `resumeTriggerGroup(java.lang.String groupName)` Delegates to the Quartz scheduler.
`java.util.Date` | `scheduleJob(org.quartz.JobDetail jobDetail, org.quartz.Trigger trigger)` Delegates to the Quartz scheduler.
`java.util.Date` | `scheduleJob(org.quartz.Trigger trigger)` Delegates to the Quartz scheduler.
`void` | `setJobFactory(org.quartz.spi.JobFactory factory)` Delegates to the Quartz scheduler.
`void` | `setQuartzProperties(java.util.Properties quartzProps)` Delegates to the Scheduler Service MBean in order to set the properties for Quartz and reinitialize th Quartz scheduler factory.
`void` | `setSessionContext(javax.ejb.SessionContext ctx)`
`void` | `shutdown()` Delegates to the Quartz scheduler.
`void` | `shutdown(boolean waitForJobsToComplete)` Delegates to the Quartz scheduler.
`void` | `standby()` Delegates to the Quartz scheduler.
`void` | `start()` Delegates to the Quartz scheduler.
`void` | `startDelayed(int arg0)`
`void` | `startScheduler()` Delegates to the Quartz scheduler.
`void` | `triggerJob(java.lang.String jobName, java.lang.String groupName)` Delegates to the Quartz scheduler.
`void` | `triggerJob(java.lang.String jobName, java.lang.String groupName, org.quartz.JobDataMap data)` Delegates to the Quartz scheduler.
`void` | `triggerJobWithVolatileTrigger(java.lang.String jobName, java.lang.String groupName)` Delegates to the Quartz scheduler.
`void` | `triggerJobWithVolatileTrigger(java.lang.String jobName, java.lang.String groupName, org.quartz.JobDataMap data)` Delegates to the Quartz scheduler.
`boolean` | `unscheduleJob(java.lang.String triggerName, java.lang.String groupName)` Delegates to the Quartz scheduler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchedulerEJBImpl

    public SchedulerEJBImpl()

Method Detail

### getQuartzProperties

    public java.util.Properties getQuartzProperties()

  Delegates to the Scheduler Service MBean.

  Specified by:
    `getQuartzProperties` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  See Also:
    `SchedulerServiceMBean.getQuartzProperties()`

### setQuartzProperties

    public void setQuartzProperties(java.util.Properties quartzProps)
                             throws org.quartz.SchedulerException

  Delegates to the Scheduler Service MBean in order to set the properties for Quartz and reinitialize th Quartz scheduler factory.

  Specified by:
    `setQuartzProperties` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.setQuartzProperties(Properties)`

### getSchedulerName

    public java.lang.String getSchedulerName()
                                      throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `getSchedulerName` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `getSchedulerName` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.getSchedulerName()`

### getSchedulerInstanceId

    public java.lang.String getSchedulerInstanceId()
                                            throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `getSchedulerInstanceId` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `getSchedulerInstanceId` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.getSchedulerInstanceId()`

### getContext

    public org.quartz.SchedulerContext getContext()
                                           throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `getContext` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `getContext` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.getContext()`

### getMetaData

    public org.quartz.SchedulerMetaData getMetaData()
                                             throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `getMetaData` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `getMetaData` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.getMetaData()`

### start

    public void start()
               throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `start` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `start` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.start()`

### startScheduler

    public void startScheduler()
                        throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `startScheduler` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.startScheduler()`

### pause

    public void pause()
               throws org.quartz.SchedulerException

  Deprecated.

  Delegates to the Quartz scheduler.

  Specified by:
    `pause` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `pause` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.pause()`

### isPaused

    public boolean isPaused()
                     throws org.quartz.SchedulerException

  Deprecated.

  Delegates to the Quartz scheduler.

  Specified by:
    `isPaused` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `isPaused` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.isPaused()`

### shutdown

    public void shutdown()
                  throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `shutdown` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `shutdown` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.shutdown()`

### shutdown

    public void shutdown(boolean waitForJobsToComplete)
                  throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `shutdown` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `shutdown` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.shutdown(boolean)`

### isShutdown

    public boolean isShutdown()
                       throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `isShutdown` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `isShutdown` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.isShutdown()`

### getCurrentlyExecutingJobs

    public java.util.List getCurrentlyExecutingJobs()
                                             throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `getCurrentlyExecutingJobs` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `getCurrentlyExecutingJobs` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.getCurrentlyExecutingJobs()`

### scheduleJob

    public java.util.Date scheduleJob(org.quartz.JobDetail jobDetail,
                                      org.quartz.Trigger trigger)
                               throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `scheduleJob` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `scheduleJob` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.scheduleJob(org.quartz.JobDetail,org.quartz.Trigger)`

### scheduleJob

    public java.util.Date scheduleJob(org.quartz.Trigger trigger)
                               throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `scheduleJob` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `scheduleJob` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.scheduleJob(org.quartz.Trigger)`

### addJob

    public void addJob(org.quartz.JobDetail jobDetail,
                       boolean replace)
                throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `addJob` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `addJob` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.addJob(org.quartz.JobDetail, boolean)`

### deleteJob

    public boolean deleteJob(java.lang.String jobName,
                             java.lang.String groupName)
                      throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `deleteJob` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `deleteJob` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.deleteJob(java.lang.String,java.lang.String)`

### unscheduleJob

    public boolean unscheduleJob(java.lang.String triggerName,
                                 java.lang.String groupName)
                          throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `unscheduleJob` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `unscheduleJob` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.unscheduleJob(java.lang.String,java.lang.String)`

### triggerJob

    public void triggerJob(java.lang.String jobName,
                           java.lang.String groupName)
                    throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `triggerJob` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `triggerJob` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.triggerJob(java.lang.String,java.lang.String)`

### triggerJobWithVolatileTrigger

    public void triggerJobWithVolatileTrigger(java.lang.String jobName,
                                              java.lang.String groupName)
                                       throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `triggerJobWithVolatileTrigger` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `triggerJobWithVolatileTrigger` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.triggerJobWithVolatileTrigger(java.lang.String, java.lang.String)`

### pauseTrigger

    public void pauseTrigger(java.lang.String triggerName,
                             java.lang.String groupName)
                      throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `pauseTrigger` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `pauseTrigger` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.pauseTrigger(java.lang.String,java.lang.String)`

### pauseTriggerGroup

    public void pauseTriggerGroup(java.lang.String groupName)
                           throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `pauseTriggerGroup` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `pauseTriggerGroup` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.pauseTriggerGroup(java.lang.String)`

### pauseJob

    public void pauseJob(java.lang.String jobName,
                         java.lang.String groupName)
                  throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `pauseJob` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `pauseJob` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.pauseJob(java.lang.String, java.lang.String)`

### pauseJobGroup

    public void pauseJobGroup(java.lang.String groupName)
                       throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `pauseJobGroup` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `pauseJobGroup` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.pauseJobGroup(java.lang.String)`

### resumeTrigger

    public void resumeTrigger(java.lang.String triggerName,
                              java.lang.String groupName)
                       throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `resumeTrigger` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `resumeTrigger` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.resumeTrigger(java.lang.String,java.lang.String)`

### resumeTriggerGroup

    public void resumeTriggerGroup(java.lang.String groupName)
                            throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `resumeTriggerGroup` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `resumeTriggerGroup` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.resumeTriggerGroup(java.lang.String)`

### resumeJob

    public void resumeJob(java.lang.String jobName,
                          java.lang.String groupName)
                   throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `resumeJob` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `resumeJob` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.resumeJob(java.lang.String,java.lang.String)`

### resumeJobGroup

    public void resumeJobGroup(java.lang.String groupName)
                        throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `resumeJobGroup` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `resumeJobGroup` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.resumeJobGroup(java.lang.String)`

### getJobGroupNames

    public java.lang.String[] getJobGroupNames()
                                        throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `getJobGroupNames` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `getJobGroupNames` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.getJobGroupNames()`

### getJobNames

    public java.lang.String[] getJobNames(java.lang.String groupName)
                                   throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `getJobNames` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `getJobNames` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.getJobNames(java.lang.String)`

### getTriggersOfJob

    public org.quartz.Trigger[] getTriggersOfJob(java.lang.String jobName,
                                                 java.lang.String groupName)
                                          throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `getTriggersOfJob` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `getTriggersOfJob` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.getTriggersOfJob(java.lang.String,java.lang.String)`

### getTriggerGroupNames

    public java.lang.String[] getTriggerGroupNames()
                                            throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `getTriggerGroupNames` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `getTriggerGroupNames` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.getTriggerGroupNames()`

### getTriggerNames

    public java.lang.String[] getTriggerNames(java.lang.String groupName)
                                       throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `getTriggerNames` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `getTriggerNames` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.getTriggerNames(java.lang.String)`

### getJobDetail

    public org.quartz.JobDetail getJobDetail(java.lang.String jobName,
                                             java.lang.String jobGroup)
                                      throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `getJobDetail` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `getJobDetail` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.getJobDetail(java.lang.String,java.lang.String)`

### getTrigger

    public org.quartz.Trigger getTrigger(java.lang.String triggerName,
                                         java.lang.String triggerGroup)
                                  throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `getTrigger` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `getTrigger` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.getTrigger(java.lang.String,java.lang.String)`

### deleteCalendar

    public boolean deleteCalendar(java.lang.String calName)
                           throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `deleteCalendar` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `deleteCalendar` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.deleteCalendar(java.lang.String)`

### getCalendar

    public org.quartz.Calendar getCalendar(java.lang.String calName)
                                    throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `getCalendar` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `getCalendar` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.getCalendar(java.lang.String)`

### getCalendarNames

    public java.lang.String[] getCalendarNames()
                                        throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `getCalendarNames` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `getCalendarNames` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.getCalendarNames()`

### addGlobalJobListener

    public void addGlobalJobListener(org.quartz.JobListener jobListener)
                              throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `addGlobalJobListener` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `addGlobalJobListener` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.addGlobalJobListener(org.quartz.JobListener)`

### addJobListener

    public void addJobListener(org.quartz.JobListener jobListener)
                        throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `addJobListener` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `addJobListener` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.addJobListener(org.quartz.JobListener)`

### removeGlobalJobListener

    public boolean removeGlobalJobListener(org.quartz.JobListener jobListener)
                                    throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `removeGlobalJobListener` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `removeGlobalJobListener` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.removeGlobalJobListener(org.quartz.JobListener)`

### removeJobListener

    public boolean removeJobListener(java.lang.String name)
                              throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `removeJobListener` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `removeJobListener` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.removeJobListener(java.lang.String)`

### getGlobalJobListeners

    public java.util.List getGlobalJobListeners()
                                         throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `getGlobalJobListeners` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `getGlobalJobListeners` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.getGlobalJobListeners()`

### getJobListenerNames

    public java.util.Set getJobListenerNames()
                                      throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `getJobListenerNames` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `getJobListenerNames` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.getJobListenerNames()`

### getJobListener

    public org.quartz.JobListener getJobListener(java.lang.String name)
                                          throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `getJobListener` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `getJobListener` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.getJobListener(java.lang.String)`

### addGlobalTriggerListener

    public void addGlobalTriggerListener(org.quartz.TriggerListener triggerListener)
                                  throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `addGlobalTriggerListener` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `addGlobalTriggerListener` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.addGlobalTriggerListener(org.quartz.TriggerListener)`

### addTriggerListener

    public void addTriggerListener(org.quartz.TriggerListener triggerListener)
                            throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `addTriggerListener` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `addTriggerListener` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.addTriggerListener(org.quartz.TriggerListener)`

### removeGlobalTriggerListener

    public boolean removeGlobalTriggerListener(org.quartz.TriggerListener triggerListener)
                                        throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `removeGlobalTriggerListener` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `removeGlobalTriggerListener` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.removeGlobalTriggerListener(org.quartz.TriggerListener)`

### removeTriggerListener

    public boolean removeTriggerListener(java.lang.String name)
                                  throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `removeTriggerListener` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `removeTriggerListener` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.removeTriggerListener(java.lang.String)`

### getGlobalTriggerListeners

    public java.util.List getGlobalTriggerListeners()
                                             throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `getGlobalTriggerListeners` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `getGlobalTriggerListeners` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.getGlobalTriggerListeners()`

### getTriggerListenerNames

    public java.util.Set getTriggerListenerNames()
                                          throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `getTriggerListenerNames` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `getTriggerListenerNames` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.getTriggerListenerNames()`

### getTriggerListener

    public org.quartz.TriggerListener getTriggerListener(java.lang.String name)
                                                  throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `getTriggerListener` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `getTriggerListener` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.getTriggerListener(java.lang.String)`

### addSchedulerListener

    public void addSchedulerListener(org.quartz.SchedulerListener schedulerListener)
                              throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `addSchedulerListener` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `addSchedulerListener` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.addSchedulerListener(org.quartz.SchedulerListener)`

### removeSchedulerListener

    public boolean removeSchedulerListener(org.quartz.SchedulerListener schedulerListener)
                                    throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `removeSchedulerListener` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `removeSchedulerListener` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.removeSchedulerListener(org.quartz.SchedulerListener)`

### getSchedulerListeners

    public java.util.List getSchedulerListeners()
                                         throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `getSchedulerListeners` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `getSchedulerListeners` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `SchedulerServiceMBean.getSchedulerListeners()`

### addCalendar

    public void addCalendar(java.lang.String calName,
                            org.quartz.Calendar calendar,
                            boolean replace,
                            boolean updateTriggers)
                     throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `addCalendar` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `addCalendar` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `Scheduler.addCalendar(java.lang.String, org.quartz.Calendar, boolean, boolean)`

### getPausedTriggerGroups

    public java.util.Set getPausedTriggerGroups()
                                         throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `getPausedTriggerGroups` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `getPausedTriggerGroups` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `Scheduler.getPausedTriggerGroups()`

### getTriggerState

    public int getTriggerState(java.lang.String triggerName,
                               java.lang.String triggerGroup)
                        throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `getTriggerState` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `getTriggerState` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `Scheduler.getTriggerState(java.lang.String, java.lang.String)`

### interrupt

    public boolean interrupt(java.lang.String jobName,
                             java.lang.String groupName)
                      throws org.quartz.UnableToInterruptJobException

  Delegates to the Quartz scheduler.

  Specified by:
    `interrupt` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `interrupt` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.UnableToInterruptJobException`
  See Also:
    `Scheduler.interrupt(java.lang.String, java.lang.String)`

### isInStandbyMode

    public boolean isInStandbyMode()
                            throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `isInStandbyMode` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `isInStandbyMode` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `Scheduler.isInStandbyMode()`

### pauseAll

    public void pauseAll()
                  throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `pauseAll` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `pauseAll` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `Scheduler.pauseAll()`

### rescheduleJob

    public java.util.Date rescheduleJob(java.lang.String triggerName,
                                        java.lang.String groupName,
                                        org.quartz.Trigger newTrigger)
                                 throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `rescheduleJob` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `rescheduleJob` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `Scheduler.rescheduleJob(java.lang.String, java.lang.String, org.quartz.Trigger)`

### resumeAll

    public void resumeAll()
                   throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `resumeAll` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `resumeAll` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `Scheduler.resumeAll()`

### setJobFactory

    public void setJobFactory(org.quartz.spi.JobFactory factory)
                       throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `setJobFactory` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `setJobFactory` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `Scheduler.setJobFactory(org.quartz.spi.JobFactory)`

### standby

    public void standby()
                 throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `standby` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `standby` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `Scheduler.standby()`

### triggerJob

    public void triggerJob(java.lang.String jobName,
                           java.lang.String groupName,
                           org.quartz.JobDataMap data)
                    throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `triggerJob` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `triggerJob` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `Scheduler.triggerJob(java.lang.String, java.lang.String, org.quartz.JobDataMap)`

### triggerJobWithVolatileTrigger

    public void triggerJobWithVolatileTrigger(java.lang.String jobName,
                                              java.lang.String groupName,
                                              org.quartz.JobDataMap data)
                                       throws org.quartz.SchedulerException

  Delegates to the Quartz scheduler.

  Specified by:
    `triggerJobWithVolatileTrigger` in interface `org.hyperic.hq.scheduler.server.mbean.SchedulerServiceMBean`
  Specified by:
    `triggerJobWithVolatileTrigger` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`
  See Also:
    `Scheduler.triggerJobWithVolatileTrigger(String, String, org.quartz.JobDataMap)`

### ejbCreate

    public void ejbCreate()
                   throws javax.ejb.CreateException

  Throws:
    `javax.ejb.CreateException`

### ejbRemove

    public void ejbRemove()

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`

### ejbActivate

    public void ejbActivate()

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`

### ejbPassivate

    public void ejbPassivate()

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`

### getSessionContext

    public javax.ejb.SessionContext getSessionContext()

### getOne

    public static org.hyperic.hq.scheduler.shared.SchedulerLocal getOne()

### getGlobalJobListener

    public org.quartz.JobListener getGlobalJobListener(java.lang.String arg0)
                                                throws org.quartz.SchedulerException

  Specified by:
    `getGlobalJobListener` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`

### getGlobalTriggerListener

    public org.quartz.TriggerListener getGlobalTriggerListener(java.lang.String arg0)
                                                        throws org.quartz.SchedulerException

  Specified by:
    `getGlobalTriggerListener` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`

### isStarted

    public boolean isStarted()
                      throws org.quartz.SchedulerException

  Specified by:
    `isStarted` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`

### removeGlobalJobListener

    public boolean removeGlobalJobListener(java.lang.String arg0)
                                    throws org.quartz.SchedulerException

  Specified by:
    `removeGlobalJobListener` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`

### removeGlobalTriggerListener

    public boolean removeGlobalTriggerListener(java.lang.String arg0)
                                        throws org.quartz.SchedulerException

  Specified by:
    `removeGlobalTriggerListener` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`

### startDelayed

    public void startDelayed(int arg0)
                      throws org.quartz.SchedulerException

  Specified by:
    `startDelayed` in interface `org.quartz.Scheduler`
  Throws:
    `org.quartz.SchedulerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.